# $Revision: 1.13 $, $Date: 2005/10/08 11:48:49 $
%define		zope_subname	BTreeFolder2
Summary:	Zope product that acts like a Zope folder but can store many more items
Summary(pl):	Dodatek do Zope rozszerzajcy moliwoci pracy na folderach
Name:		Zope-%{zope_subname}
Version:	1.0.2
Release:	1
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://plone.org/Members/tiran/BTreeFolder2-%{version}.tar.gz
# Source0-md5:	ff9ac5d485ca2a9d4f65e85509c88f2e
URL:		http://hathawaymix.org/Software/BTreeFolder2/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BTreeFolder2 is a Zope product that acts like a Zope folder but can
store many more items.

%description -l pl
BTreeFolder2 jest dodatkiem do Zope rozszerzajcym moliwoci pracy na
folderach.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af tests *.py *.dtml *.gif version.txt $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname} 
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-BTreeFolder2.spec,v $
Revision 1.13  2005/10/08 11:48:49  ciesiel
- upgrade to version 1.0.2

Revision 1.12  2005/01/13 06:39:54  ankry
- spaces -> tabs

Revision 1.11  2005/01/12 21:11:05  ciesiel
- added BR: python

Revision 1.10  2004/12/25 18:27:26  saq
- release 2 for rebuild with python 2.4

Revision 1.9  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/06/20 10:38:00  ciesiel
- upgraded to version 1.0.1

Revision 1.7  2003/12/03 15:54:38  ciesiel
- added missing file

Revision 1.6  2003/11/16 15:38:34  jajcus
- product installation cleanups

Revision 1.5  2003/11/16 10:45:42  jajcus
- installed into %{_datadir}/%{name}
- icon included (Zope will crash without it)
- CHANGES.txt included in %doc
- product installation using installzopeproduct

Revision 1.4  2003/11/01 21:56:04  ciesiel
- upgraded to version 1.0

Revision 1.3  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.2  2003/09/27 17:12:09  ciesiel
- .py needed by packages

Revision 1.1  2003/08/22 14:10:59  qboosh
- mv Zope-btreefolder2.spec Zope-BTreeFolder2.spec to reflect Name

Revision 1.5  2003/08/22 14:09:34  qboosh
- cleanups

Revision 1.4  2003/07/30 14:37:20  ciesiel
- compiled .py and cleanup

Revision 1.3  2003/07/26 23:50:32  ciesiel
- moved left docs to documentation directory

Revision 1.2  2003/07/21 17:46:46  ciesiel
- moved ln to %install section

Revision 1.1  2003/07/20 08:50:01  ciesiel
- initial release
